Bug 190134 - port update: mail/heirloom-mailx - add option to use sendmail from ports, and take ownership
Summary: port update: mail/heirloom-mailx - add option to use sendmail from ports, and...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Jamie Landeg-Jones
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-05-23 08:10 UTC by Jamie Landeg-Jones
Modified: 2014-08-05 00:21 UTC (History)
2 users (show)

See Also:


Attachments
patch-Makefile (1.18 KB, patch)
2014-05-23 08:10 UTC, Jamie Landeg-Jones
no flags Details | Diff
patch to remove SENDMAIL option etc. (1.36 KB, patch)
2014-08-04 21:22 UTC, Kurt Jaeger
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jamie Landeg-Jones 2014-05-23 08:10:00 UTC
	
1) mail/heirloom-mailx - add option to use sendmail from ports instead of base.

2) Take ownership of port.

Fix: apply patch within dir: $PORTSDIR/mail/heirloom-mailx
Comment 1 John Marino freebsd_committer 2014-07-26 12:57:07 UTC
fyi - patch isn't going to apply unless the PORTREVISION line is updated first.
Comment 2 commit-hook freebsd_committer 2014-08-04 09:50:26 UTC
A commit references this bug:

Author: pi
Date: Mon Aug  4 09:49:46 UTC 2014
New revision: 363985
URL: http://svnweb.freebsd.org/changeset/ports/363985

Log:
  mail/heirloom-mailx: add option to use sendmail from ports, and take ownership

  PR:		190134
  Submitted by:	Jamie Landeg-Jones <jamie@dyslexicfish.net>

Changes:
  head/mail/heirloom-mailx/Makefile
Comment 3 Kurt Jaeger freebsd_committer 2014-08-04 09:50:43 UTC
Committed, thanks.
Comment 4 Baptiste Daroussin freebsd_committer 2014-08-04 09:59:25 UTC
I reopen this one as I really think adding an options for ports sendmail is a regression rather than an improvement.

base sendmail (/usr/sbin/sendmail) is not sendmail it is a wrapper on top of mailer.conf meaning that it allows to use any MTA, include ports version of sendmail while this options is hardcoding ports version.

I think the options should be removed as it brings nothing and might confuse users.
Comment 5 Kurt Jaeger freebsd_committer 2014-08-04 10:52:07 UTC
As you can see, there's no agreement on the ports SENDMAIL option.

Why does the mail/heirloom-mailx port need a seperate option if the
user can adapt /etc/mail/mailer.conf so that it's transparent to the
port ?

If you have a good reason for this, please explain ? If not, please
ACK removal of this option.
Comment 6 Jamie Landeg-Jones 2014-08-04 21:08:50 UTC
I've tried to think of a way to put a positive spin on this, but I've failed miserably!

Yeah, Bapt is correct, and I've been an idiot!

Basically, as I always used to run base sendmail, about 1000 years ago, I started building with WITHOUT_MAILWRAPPER in src.conf.

Fast forward to now, and I totally forgot the mailwrapper sub-system existed...

*cough* dunno what else to say, but good catch Bapt, and I promise to be more careful in the future!

So yea,h, please reverse the change, and try to ignore the embarrassed humble idiot attempting to leave the room unnoticed by the back door!

Sorry for the 'spam' and the extra work I've created for you.
Comment 7 Kurt Jaeger freebsd_committer 2014-08-04 21:22:07 UTC
Created attachment 145372 [details]
patch to remove SENDMAIL option etc.

See attached patch, please approve. Please note that it also sets LICENSE.
Comment 8 Jamie Landeg-Jones 2014-08-05 00:03:07 UTC
Perfect. Cheers!
Comment 9 commit-hook freebsd_committer 2014-08-05 00:21:11 UTC
A commit references this bug:

Author: pi
Date: Tue Aug  5 00:20:21 UTC 2014
New revision: 364070
URL: http://svnweb.freebsd.org/changeset/ports/364070

Log:
  mail/heirloom-mailx: remove SENDMAIL option, wrapper is sufficient

  PR:		190134
  Approved by:	jamie@dyslexicfish.net (maintainer)

Changes:
  head/mail/heirloom-mailx/Makefile